org.jboss.logmanager.formatters

## Class MultistepFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.jboss.logmanager.ExtFormatter
    - - org.jboss.logmanager.formatters.MultistepFormatter

Direct Known Subclasses:
  PatternFormatter

    public class MultistepFormatter
    extends ExtFormatter

A formatter which formats a record in a series of steps.

### Constructor Summary

Constructors
Constructor and Description
`MultistepFormatter()` Construct a new instance.
`MultistepFormatter(FormatStep[] steps)` Construct a new instance.

### Method Summary

Methods
`String` `format(ExtLogRecord record)` Format a message using an extended log record.
`FormatStep[]` `getSteps()` Get a copy of the format steps.
`void` `setSteps(FormatStep[] steps)` Assign new format steps.

### Methods inherited from class org.jboss.logmanager.ExtFormatter

`format`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultistepFormatter

    public MultistepFormatter(FormatStep[] steps)

Construct a new instance.

Parameters:
  `steps` - the steps to execute to format the record

#### MultistepFormatter

    public MultistepFormatter()

Construct a new instance.

### Method Detail

#### getSteps

    public FormatStep[] getSteps()

Get a copy of the format steps.

Returns:
  a copy of the format steps

#### setSteps

    public void setSteps(FormatStep[] steps)

Assign new format steps.

Parameters:
  `steps` - the new format steps

#### format

    public String format(ExtLogRecord record)

Format a message using an extended log record.

Specified by:
  `format` in class `ExtFormatter`
Parameters:
  `record` - the log record
Returns:
  the formatted message